From c70282457c380db7deb57c81a6894debc8f88efa Mon Sep 17 00:00:00 2001
From: Oskari Lemmela <oskari@lemmela.net>
Date: Wed, 22 Dec 2021 07:59:58 +0200
Subject: [PATCH] spi: ar934x: fix transfer and word delays

Add missing delay between transferred messages and words.

Signed-off-by: Oskari Lemmela <oskari@lemmela.net>
Link: https://lore.kernel.org/r/20211222055958.1383233-3-oskari@lemmela.net
Signed-off-by: Mark Brown <broonie@kernel.org>
---
 drivers/spi/spi-ar934x.c | 2 ++
 1 file changed, 2 insertions(+)

--- a/drivers/spi/spi-ar934x.c
+++ b/drivers/spi/spi-ar934x.c
@@ -137,8 +137,10 @@ static int ar934x_spi_transfer_one_messa
 					reg >>= 8;
 				}
 			}
+			spi_delay_exec(&t->word_delay, t);
 		}
 		m->actual_length += t->len;
+		spi_transfer_delay_exec(t);
 	}
 
 msg_done:
